com.holonplatform.vaadin7.components.builders

## Interface FormLayoutBuilder

- All Superinterfaces:
    BaseLayoutBuilder<com.vaadin.ui.FormLayout,FormLayoutBuilder>, ClickableLayoutConfigurator<FormLayoutBuilder>, ComponentBuilder<com.vaadin.ui.FormLayout,FormLayoutBuilder>, ComponentConfigurator<FormLayoutBuilder>, ComponentContainerBuilder<com.vaadin.ui.FormLayout,FormLayoutBuilder>, ComponentContainerConfigurator<FormLayoutBuilder>, LayoutBuilder<com.vaadin.ui.FormLayout,FormLayoutBuilder>, LayoutConfigurator<FormLayoutBuilder>

      public interface FormLayoutBuilder
      extends LayoutBuilder<com.vaadin.ui.FormLayout,FormLayoutBuilder>

  Builder to create `FormLayout` instances.

  Note that the FormLayout returned by this builder, if no additional configuration specified, is with undefined width, without spacing nor margins.

  Since:
    5.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.LayoutConfigurator

      `LayoutConfigurator.BaseLayoutConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.ClickableLayoutConfigurator

      `ClickableLayoutConfigurator.BaseClickableLayoutConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.LayoutConfigurator

      `addAndAlign, align, defaultAlignment, margin, marginBottom, marginLeft, marginRight, marginTop, spacing`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ClickableLayoutConfigurator

      `withLayoutClickListener`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.BaseLayoutBuilder

      `withLayoutClickListener`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ComponentContainerConfigurator

      `add, withComponentAttachListener, withComponentDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ComponentBuilder

      `build, deferLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, immediate, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

Copyright © 2019 The Holon Platform. All rights reserved.